Delete Device
Delete a device. If the device does not exist, this API will return a 204. To learn more about devices, read Device Concept.
RBAC Capability Required: fleet.device.delete
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestringRequired
namestringRequired
Query parameters
$forcebooleanOptional
Force the delete of this device
$reasonstringOptional
Must be set to one of Failed|Maintenance|Storage|Other - if 'Other', the additional 'notes' query parameter is required with a brief description of the reason
$notesstringOptional
Other reason description - minimum 5 characters, maximum 255 characters
Response
200Device deleted.
No response body.
204Nothing to delete.
No response body.
Errors
400Bad Request
Loading schema details…
401Unauthorized
Loading schema details…
403Forbidden
Loading schema details…
404Not Found
Loading schema details…
409This could be due to one of: - - The device is not connected. The device should be reconnected (recommended) or a force delete used (not recommended). - Interface(s) on this device are referenced by one or more sources or destinations and those references must be removed before deletion.
No response body.
429Too Many Requests
Loading schema details…
500Internal Server Error
Loading schema details…